OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne, Lars Corbijn 2011-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.FramebufferObjects.FramebufferObjects

Description

# Documentation

data FramebufferObject

Instances

Eq FramebufferObject |
Ord FramebufferObject |
Show FramebufferObject |
GeneratableObjectName FramebufferObject |
ObjectName FramebufferObject |

defaultFramebufferObject :: FramebufferObject

data FramebufferTarget

Constructors

DrawFramebuffer |
ReadFramebuffer |
Framebuffer |

Instances

Eq FramebufferTarget |
Ord FramebufferTarget |
Show FramebufferTarget |

bindFramebuffer :: FramebufferTarget -> StateVar FramebufferObject

data FramebufferStatus

Constructors

Complete |
Undefined |
IncompleteMissingAttachment |
IncompleteDrawBuffer |
IncompleteReadBuffer |
IncompleteMultiSample |
Unsupported |

Instances

Eq FramebufferStatus |
Ord FramebufferStatus |
Show FramebufferStatus |

framebufferStatus :: FramebufferTarget -> GettableStateVar FramebufferStatus